using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.DependencyInjection;
using Siger.ApiCommon.Filters;
using Siger.ApiCommon.Utilities;
using Siger.Middlelayer.Common;
using Siger.Middlelayer.TpmRepository;
using Siger.Middlelayer.Log;
using Xunit;
using Siger.ApiTPM.Controllers;
using Siger.Middlelayer.TpmRepository.Repositories.Interface;
using Siger.Middlelayer.Repository;
using Siger.ApiCommon;
using Siger.Middlelayer.TpmRepository.Request;
using Siger.Middlelayer.Common.Helpers;
using Siger.Middlelayer.Common.Extensions;

namespace Siger.Unit.Test.TPM
{
    public class AndonBaseSettingTest
    {
        private readonly DependencyInjectionTest DependencyInjection = new DependencyInjectionTest();
        public AndonBaseSettingTest()
        {
            var services = DependencyInjection.Init();
            IUnitOfWork unitOfWork = services.GetService<IUnitOfWork>();
            ISigerAndonProcessRepository andonProcessRepository = services.GetService<ISigerAndonProcessRepository>();
            IPlanReportRepository planReportRepository = services.GetService<IPlanReportRepository>();
            IPlanReportLevelRepository planReportLevelRepository = services.GetService<IPlanReportLevelRepository>();
            ISigerAndonExpectionTypeRepository andonExpectionType = services.GetService<ISigerAndonExpectionTypeRepository>();
            //controller.ProjectId = 125;
        }
    }
}
